com.sun.grid.jgdi.event

## Class JobTaskListEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ListEvent
    - - com.sun.grid.jgdi.event.JobTaskListEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class JobTaskListEvent
      extends ListEvent
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobTaskListEvent(long timestamp, int eventID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(JobTask obj)`

    - ### Methods inherited from class com.sun.grid.jgdi.event.ListEvent

      `add, getObjects`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobTaskListEvent

          public JobTaskListEvent(long timestamp,
                                  int eventID)

  - ### Method Detail

    - #### add

          public void add(JobTask obj)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.